package com.yx.face.model.black;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class UserBlackTaskVo {

    @ApiModelProperty(value = "任务主键")
    private Long userBlackTaskId;
    @ApiModelProperty(value = "任务名称")
    private String taskName;
    @ApiModelProperty(value = "录入人数")
    private Integer personNum;
    @ApiModelProperty(value = "绑定账号")
    private String username;
    @ApiModelProperty(value = "录入账号")
    private String enterUsername;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty("是否可以删除")
    private Boolean canDelete = false;
}
