package com.yx.face.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.black.*;
import com.yx.face.model.entity.UserBlackTask;

import java.util.List;

/**
 * <p>
 * 黑名单任务列表 服务类
 * </p>
 *
 * @author wxg
 * @since 2024-08-31
 */
public interface UserBlackTaskService extends IService<UserBlackTask> {
    Boolean insert(UserBlackTaskDto dto);
    List<AdminLessVo> adminList();
    IPage<UserBlackTaskVo> getPageList(RestDTO<UserBlackTaskSearch> dto);
    Boolean delete(Long userBlackTaskId);
    List<AdminLessVo> enterAdminList();
    IPage<UserBlackVo> userGetPageList(RestDTO<UserBlackSearch> dto);
    Boolean userDelete(Long userBlackListId);
    RestResult<List<DeviceBlackVo>> getBlackList(DeviceBlackDto dto);
    RestResult<ThirdPlatformSm4DTO> getEncryBlackList(ThirdPlatformSm4DTO dto);
}
