package com.yx.face.model.black;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class DeviceBlackDto {
    @ApiModelProperty("设备号")
    @NotBlank(message = "设备号不能为空")
    private String sn;
    @ApiModelProperty(value = "token",example = "e69dade5b79ee888aae6b187")
    @NotBlank(message = "token不能为空")
    private String token;
}
