package com.yx.face.model.black;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Objects;

@Data
@AllArgsConstructor
public class DeviceBlackVo {

    /*
    * 为了和授权平台的接口同意，所以返回参数依照的时候授权平台上的返回参数
    * */
    private String certName;//姓名
    private String certNo;//身份证号
    private String phone;//手机号

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        DeviceBlackVo other = (DeviceBlackVo) obj;
        return certNo.equals(other.certNo) && phone.equals(other.phone);
    }

    @Override
    public int hashCode() {
        return Objects.hash(certNo, phone);
    }
}
